Skip to main content
GET
/
projects
/
{project_id}
/
content_extraction_settings
Get extraction settings
curl --request GET \
  --url https://api.beyondwords.io/v1/projects/{project_id}/content_extraction_settings \
  --header 'X-Api-Key: <api-key>'
{
  "mode": "automatic",
  "javascript_enabled": true,
  "static_ip_enabled": false,
  "request_headers": {
    "X-Paywall-Token": "my-secret-token"
  }
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

project_id
string
required

The numeric ID of your project

Response

OK

mode
enum<string>

The mode to use for content extraction

Available options:
automatic,
manual,
legacy
javascript_enabled
boolean

Whether to evaluate JavaScript when extracting content. Useful for single-page applications.

static_ip_enabled
boolean

Whether requests should originate from a static IP address when extracting content.

request_headers
object

Headers that you want to include in the HTTP request when fetching and extracting the content.